import { connect } from "react-redux";
import { useHistory } from "react-router-dom";


const mapStateToProps = state => ({
    
    state: state,
    order: state.promiseRed && state.promiseRed.order && 
        state.promiseRed.order.payload && 
        state.promiseRed.order.payload.data.OrderUpsert 
    // GoodsArr: arrFromObj(ObjFilter(state.basket, "price")),
    // order: orderArr(arrFromObj(ObjFilter(state.basket, "price")))

  });


const OrderPage = ({order = false,state}) => {
    const history = useHistory();
    console.log(state)
    console.log(order)
    //debugger
    const date =  order ? new Date(+order.createdAt) : 0;
    console.log(date)
    if(order) {
    return(
        <>
            <div className = "order">
                <h2>Дякуємо за замовлення</h2>
                <span>Номер замовлення: {order._id}</span>
                <div> Створено: {`${date.getDate()}. ${date.getMonth() + 1}. ${date.getFullYear()} о ${date.getHours()}: ${date.getMinutes()}: ${date.getSeconds()}  `}</div>
                <div>Сума замовлення: {order.total}грн</div>
            <h5>Чекайте на дзвінок оператора, цьомки ;)</h5>
            </div>
        </>
    )} else {
        return (
            <>
        {history.push("/error")}
        </>
        )
    }

}

const COrderPage = connect(mapStateToProps, {})(OrderPage);

export default COrderPage;